# TMCColorRGBA8 Class Reference
[MCCore]

Inheritance diagram for TMCColorRGBA8:

List of all members.

## Public Types
enum | EComponent { kRed = 0, kGreen = 1, kBlue = 2, kAlpha = 3 }
## Public Member Functions
| TMCColorRGBA8 (void)
| TMCColorRGBA8 (const uint8 rr, const uint8 gg, const uint8 bb, const uint8 aa)
| TMCColorRGBA8 (uint32 c)
| TMCColorRGBA8 (const TMCColorRGB &color)
| TMCColorRGBA8 (const TMCColorRGBA &color)
void | Set (const uint8 rr, const uint8 gg, const uint8 bb, const uint8 aa)
void | Interpolate (const TMCColorRGBA8 from, const TMCColorRGBA8 to, const real interpolant)
void | Interpolate (const TVector2 &interpolants, const TMCColorRGBA8 lowerLeft, const TMCColorRGBA8 lowerRight, const TMCColorRGBA8 upperLeft, const TMCColorRGBA8 upperRight)
uint8 | GetMinOfRGB (void) const
uint8 | GetMaxOfRGB (void) const
boolean | operator== (const TMCColorRGBA8 rhs) const
boolean | operator!= (const TMCColorRGBA8 rhs) const
TMCColorRGBA8 | operator+= (const TMCColorRGBA8 rhs)
TMCColorRGBA8 | operator-= (const TMCColorRGBA8 rhs)
TMCColorRGBA8 | operator*= (const real s)
TMCColorRGBA8 | operator/= (const real s)
TMCColorRGBA8 | operator+ (const TMCColorRGBA8 rhs) const
TMCColorRGBA8 | operator- (const TMCColorRGBA8 rhs) const
TMCColorRGBA8 | operator* (const real s) const
TMCColorRGBA8 | operator/ (const real s) const
TMCColorRGBA & | ToRGBA (TMCColorRGBA &c) const
uint8 | Intensity () const
const uint8 * | GetAddrFirstComponent (void) const
uint8 * | GetAddrFirstComponent (void)
uint8 | operator[] (int32 i) const
uint8 & | operator[] (int32 i)
## Static Public Member Functions
static int32 | GetComponentIndex (EComponent index)
## Static Public Attributes
static const uint8 | kMaxIntensity
static const real | kInvMaxIntensity
static const TMCColorRGBA8 | kBlackNoAlpha
static const TMCColorRGBA8 | kBlackFullAlpha
static const TMCColorRGBA8 | kWhiteNoAlpha
static const TMCColorRGBA8 | kWhiteFullAlpha

## Detailed Description

TMCColorRGBA8 is offscreen/system dependent, do not assume component ordering. This 8 bit component integer color mimics the byte ordering of the native pixel format on the PC/MAC since we often are working at the pixel level with this math.

Other color classes are TMCColorRGB, TMCColorRGBA, TMCColorRGBA32

## Member Enumeration Documentation

enum TMCColorRGBA8::EComponent

Enumerator:

  kRed |
  kGreen |
  kBlue |
  kAlpha |

## Constructor & Destructor Documentation

TMCColorRGBA8::TMCColorRGBA8 | ( | void |  | ) | `[inline]`

TMCColorRGBA8::TMCColorRGBA8 | ( | const uint8 | rr,
|  | const uint8 | gg,
|  | const uint8 | bb,
|  | const uint8 | aa |
| ) |  |  | `[inline]`

TMCColorRGBA8::TMCColorRGBA8 | ( | uint32 | c | ) | `[inline]`

TMCColorRGBA8::TMCColorRGBA8 | ( | const TMCColorRGB & | color | ) | `[inline]`

TMCColorRGBA8::TMCColorRGBA8 | ( | const TMCColorRGBA & | color | ) | `[inline]`

## Member Function Documentation

uint8* TMCColorRGBA8::GetAddrFirstComponent | ( | void |  | ) | `[inline]`

const uint8* TMCColorRGBA8::GetAddrFirstComponent | ( | void |  | ) | const`[inline]`

int32 TMCColorRGBA8::GetComponentIndex | ( | EComponent | index | ) | `[inline, static]`

uint8 TMCColorRGBA8::GetMaxOfRGB | ( | void |  | ) | const`[inline]`

uint8 TMCColorRGBA8::GetMinOfRGB | ( | void |  | ) | const`[inline]`

uint8 TMCColorRGBA8::Intensity | ( |  | ) | const`[inline]`

void TMCColorRGBA8::Interpolate | ( | const TVector2 & | interpolants,
|  | const TMCColorRGBA8 | lowerLeft,
|  | const TMCColorRGBA8 | lowerRight,
|  | const TMCColorRGBA8 | upperLeft,
|  | const TMCColorRGBA8 | upperRight |
| ) |  |  |

void TMCColorRGBA8::Interpolate | ( | const TMCColorRGBA8 | from,
|  | const TMCColorRGBA8 | to,
|  | const real | interpolant |
| ) |  |  |

boolean TMCColorRGBA8::operator!= | ( | const TMCColorRGBA8 | rhs | ) | const`[inline]`

TMCColorRGBA8 TMCColorRGBA8::operator* | ( | const real | s | ) | const`[inline]`

TMCColorRGBA8 TMCColorRGBA8::operator*= | ( | const real | s | ) | `[inline]`

TMCColorRGBA8 TMCColorRGBA8::operator+ | ( | const TMCColorRGBA8 | rhs | ) | const`[inline]`

TMCColorRGBA8 TMCColorRGBA8::operator+= | ( | const TMCColorRGBA8 | rhs | ) | `[inline]`

TMCColorRGBA8 TMCColorRGBA8::operator- | ( | const TMCColorRGBA8 | rhs | ) | const`[inline]`

TMCColorRGBA8 TMCColorRGBA8::operator-= | ( | const TMCColorRGBA8 | rhs | ) | `[inline]`

TMCColorRGBA8 TMCColorRGBA8::operator/ | ( | const real | s | ) | const`[inline]`

TMCColorRGBA8 TMCColorRGBA8::operator/= | ( | const real | s | ) | `[inline]`

boolean TMCColorRGBA8::operator== | ( | const TMCColorRGBA8 | rhs | ) | const`[inline]`

uint8& TMCColorRGBA8::operator[] | ( | int32 | i | ) | `[inline]`

uint8 TMCColorRGBA8::operator[] | ( | int32 | i | ) | const`[inline]`

void TMCColorRGBA8::Set | ( | const uint8 | rr,
|  | const uint8 | gg,
|  | const uint8 | bb,
|  | const uint8 | aa |
| ) |  |  | `[inline]`

TMCColorRGBA& TMCColorRGBA8::ToRGBA | ( | TMCColorRGBA & | c | ) | const

## Member Data Documentation

const TMCColorRGBA8 TMCColorRGBA8::kBlackFullAlpha`[static]`

const TMCColorRGBA8 TMCColorRGBA8::kBlackNoAlpha`[static]`

const real TMCColorRGBA8::kInvMaxIntensity`[static]`

const uint8 TMCColorRGBA8::kMaxIntensity`[static]`

const TMCColorRGBA8 TMCColorRGBA8::kWhiteFullAlpha`[static]`

const TMCColorRGBA8 TMCColorRGBA8::kWhiteNoAlpha`[static]`

The documentation for this class was generated from the following file:

- MCColorRGBA.h